/* ----------------------------------------------------------
(c) 2007 Sylvain Lefebvre - all rights reserved
--
The source code is provided 'as it is', without any warranties. 
Use at your own risk. The use of any part of the source code in a
commercial or non commercial product without explicit authorisation
from the author is forbidden. Use for research and educational
purposes is allowed and encouraged, provided that a short notice
acknowledges the author's work.
---------------------------------------------------------- */
// ------------------------------------------------------
//
// Load/Save PNG file format
// 
// ------------------------------------------------------
// Sylvain Lefebvre - 2006-03-21
// ------------------------------------------------------

#pragma once

#include "Image.h"

class ImageFormat_PNG : public ImageFormat_plugin
{
public:
  ImageFormat_PNG();
  void        save(const char *,const Image *)  const;
  Image      *load(const char *)                const;
  const char *signature()                       const {return "png";}
};

// ------------------------------------------------------
