/* ----------------------------------------------------------
(c) 2007 Sylvain Lefebvre - all rights reserved
--
The source code is provided 'as it is', without any warranties. 
Use at your own risk. The use of any part of the source code in a
commercial or non commercial product without explicit authorisation
from the author is forbidden. Use for research and educational
purposes is allowed and encouraged, provided that a short notice
acknowledges the author's work.
---------------------------------------------------------- */
// ------------------------------------------------------

#include "Vertex.h"

// ------------------------------------------------------

v2f V2F(float x,float y)           
{v2f v; v[0]=x; v[1]=y; return (v);}

v2d V2D(double x,double y)
{v2d v; v[0]=x; v[1]=y; return (v);}

v3f V3F(float x,float y,float z)
{v3f v; v[0]=x; v[1]=y; v[2]=z; return (v);}

v3d V3D(double x,double y,double z)
{v3d v; v[0]=x; v[1]=y; v[2]=z; return (v);}

v4f V4F(float x,float y,float z,float w)
{v4f v; v[0]=x; v[1]=y; v[2]=z; v[3]=w; return (v);}

v4d V4D(double x,double y,double z,double w)
{v4d v; v[0]=x; v[1]=y; v[2]=z; v[3]=w; return (v);}

v4b V4B(uchar x,uchar y,uchar z,uchar w)
{v4b v; v[0]=x; v[1]=y; v[2]=z; v[3]=w; return (v);}

// ------------------------------------------------------
