/* ----------------------------------------------------------
(c) 2007 Sylvain Lefebvre - all rights reserved
--
The source code is provided 'as it is', without any warranties. 
Use at your own risk. The use of any part of the source code in a
commercial or non commercial product without explicit authorisation
from the author is forbidden. Use for research and educational
purposes is allowed and encouraged, provided that a short notice
acknowledges the author's work.
---------------------------------------------------------- */

#pragma once

#define ForIndex(I,N)          for (int I=0;I<int(N);I++)
#define ForRange(I,A,B)        for (int I=int(A);I<=int(B);I++)
#define ForRangeReverse(I,A,B) for (int I=int(A);I>=int(B);I--)
#define ForPixels(IMG,I,J)     for (uint J=0;J<IMG->h();J++) for (uint I=0;I<IMG->w();I++)
#define ForImage(IMG,I,J)      ForPixels(IMG,I,J)

typedef unsigned char uchar;
typedef unsigned int  uint;

